Bug 875849 - (mate-calc) Package Review - mate-calc - MATE Desktop calculator app
Package Review - mate-calc - MATE Desktop calculator app
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On: MATE-DE-tracker
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-12 11:49 EST by Dan Mashal
Modified: 2012-11-23 22:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:59:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Mashal 2012-11-12 11:49:09 EST
SPEC URL: http://vicodan.fedorapeople.org/matespec/mate-calc.spec

SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/mate-calc-1.5.0-1.fc19.src.rpm

Description: MATE Desktop calculator application
Comment 1 leigh scott 2012-11-12 12:24:05 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/leigh/875849-mate-
     calc/licensecheck.txt
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
    architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 2918400 bytes in /usr/share 2918400
     mate-calc-1.5.0-1.fc17.x86_64.rpm


Rpmlint
-------
Checking: mate-calc-debuginfo-1.5.0-1.fc17.x86_64.rpm
          mate-calc-1.5.0-1.fc17.x86_64.rpm
          mate-calc-1.5.0-1.fc17.src.rpm
mate-calc.x86_64: W: no-manual-page-for-binary mate-calc-cmd
mate-calc.x86_64: W: no-manual-page-for-binary mate-calculator
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-calc-debuginfo mate-calc
mate-calc.x86_64: W: no-manual-page-for-binary mate-calc-cmd
mate-calc.x86_64: W: no-manual-page-for-binary mate-calculator
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-calc-debuginfo-1.5.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-calc-1.5.0-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    libxml2.so.2(LIBXML2_2.6.0)(64bit)  
    rtld(GNU_HASH)  



Provides
--------
mate-calc-debuginfo-1.5.0-1.fc17.x86_64.rpm:
    
    mate-calc-debuginfo = 1.5.0-1.fc17
    mate-calc-debuginfo(x86-64) = 1.5.0-1.fc17

mate-calc-1.5.0-1.fc17.x86_64.rpm:
    
    mate-calc = 1.5.0-1.fc17
    mate-calc(x86-64) = 1.5.0-1.fc17



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.5/mate-calc-1.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : 5fbbf4fd54751036f95d40032fab47c53a7f59da425701dfbd759286f6eefe5a
  CHECKSUM(SHA256) upstream package : 5fbbf4fd54751036f95d40032fab47c53a7f59da425701dfbd759286f6eefe5a


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 875849
Comment 2 leigh scott 2012-11-12 12:25:53 EST
Approved!


Please remove this when you import


find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'



It really isn't needed as this package has no libs :-)
Comment 3 Dan Mashal 2012-11-12 12:29:05 EST
New Package SCM Request
=======================
Package Name: mate-calc
Short Description: MATE Desktop calculator application
Owners: vicodan leigh123linux rdieter
Branches: f16 f17 f18 
InitialCC:
Comment 4 Gwyn Ciesla 2012-11-12 12:31:48 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-11-12 13:01:58 EST
mate-calc-1.5.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-calc-1.5.0-1.fc17
Comment 6 Fedora Update System 2012-11-12 13:21:35 EST
mate-calc-1.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-calc-1.5.0-1.fc18
Comment 7 Fedora Update System 2012-11-12 20:01:45 EST
mate-calc-1.5.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-11-23 02:59:31 EST
mate-calc-1.5.0-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 Fedora Update System 2012-11-23 22:26:42 EST
mate-calc-1.5.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.